
def parent_function1( argument1 ):
	def child_function():
		print( argument1 )

	return child_function 

parent_function1("test")() # Works
# > test

def parent_function2( argument1 ):
	def child_function():
		print( argument1 )
		if False:
			argument1 = None  # Same function but with fake assignment

	return child_function

parent_function2("test")() # Doesn't work

# > Traceback (most recent call last):
# > 	File ".../child_function_scope_bug.py", line 19, in <module>
# > 		parent_function("test")()
# > 	File ".../child_function_scope_bug.py", line 13, in child_function
# >			print( argument1 )
# > UnboundLocalError: local variable 'argument1' referenced before assignment